Bug 385991 - Autotools C hover doesn't have corresponding C library completion
Summary: Autotools C hover doesn't have corresponding C library completion
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-15 23:44 UTC by Jeff Johnston
Modified: 2008-02-13 04:58 UTC (History)
0 users

Fixed In Version: 4.0.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 04:58:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Johnston 2007-11-15 23:44:23 UTC
The Autotools plugin adds GNU libc library hover support.  However, no
completion proposals are offered for libc library routines.  This should work as
part of the CHelpProvider extension that is used.

Comment 1 Jeff Johnston 2007-11-15 23:46:39 UTC
A method implementation was missing to allow the same documentation to be used
for completion.  This has now been remedied and the code also now supports
adding headers for those APIs found in the libc docs.

Comment 2 Fedora Update System 2007-12-21 21:09:33 UTC
eclipse-cdt-4.0.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse-cdt'

Comment 3 Fedora Update System 2008-02-13 04:58:42 UTC
eclipse-cdt-4.0.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.